package com.jambotronGroup.jambotron.model;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;

@Entity
public class NameValueItem {

    public NameValueItem(String name, String value){
        _name = name;
        _value = value;
    }

    @Id
    private String _name;

    private String _value;

    public String getValue() {
        return _value;
    }

    public void setValue(String _value) {
        this._value = _value;
    }

    public String getName() {
        return _name;
    }

    public void setName(String _name) {
        this._name = _name;
    }

    @Override
    public String toString() {

        return String.format("name = %s  value= %s", this._name, this._value);
    }
}
